Bug 815734 - No notification when plugin purge has finished
No notification when plugin purge has finished
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 07:50 EDT by Heiko W. Rupp
Modified: 2012-04-30 12:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-24 07:50:12 EDT
The logs and also the console show

13:43:37,152 INFO  [PluginGWTServiceImpl] Preparing to purge agent plugins: [JBoss Application Server 7.x]. This may take a few minutes since all type definitions from the plugins must first be purged from the system. The plugins will still be visible until they have been purged. Please note that you must not re-install the plugin while the purge is running, as this is going to fail. Wait for re-add until the purge is done.

But there is never a noification in console or log when this has finished.

The only entry related is : 

13:44:03,791 INFO  [AsyncResourceDeleteJob] Async resource deletion - 98 successful, 0 failed, took [11245] ms

The only chance for the user is to poll the server by clicking on refresh until the plugin no longer shows up.
Comment 1 Mike Foley 2012-04-30 12:02:20 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley

Note You need to log in before you can comment on or make changes to this bug.